#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.DateTime where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DateTime = DateTime (ManagedPtr DateTime)
instance BoxedObject DateTime where
#if ENABLE_OVERLOADING
data DateTimeAddMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddDaysMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddFullMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddHoursMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddMinutesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddMonthsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddSecondsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddWeeksMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeAddYearsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeDifferenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetDayOfMonthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetDayOfWeekMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetDayOfYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetHourMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetMicrosecondMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetMinuteMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetMonthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetSecondMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetSecondsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetTimezoneMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetTimezoneAbbreviationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetUtcOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetWeekNumberingYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetWeekOfYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeGetYmdMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeIsDaylightSavingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeToLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeToTimevalMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeToTimezoneMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeToUnixMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeToUtcMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateTimeUnrefMethodInfo
#endif
