#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.Source where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Source = Source (ManagedPtr Source)
instance BoxedObject Source where
#if ENABLE_OVERLOADING
data SourceAddChildSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceAddPollMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceAddUnixFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceAttachMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceDestroyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetCanRecurseMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetCurrentTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetReadyTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceGetTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceIsDestroyedMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceModifyUnixFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceQueryUnixFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceRemoveChildSourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceRemovePollMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceRemoveUnixFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceSetCallbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceSetCallbackIndirectMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceSetCanRecurseMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceSetFuncsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceSetPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceSetReadyTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SourceUnrefMethodInfo
#endif
